// required start
@import 'custom';
@import '~bootstrap/scss/functions';
@import '~bootstrap/scss/variables';
@import '~bootstrap/scss/mixins';
// required end
@import "stresstest/button";
@import "stresstest/images";
@import "stresstest/general";
@import "stresstest/modal";
@import "stresstest/override";

$score_max_1-3: 24;
$score_normal_max_1-3: 10;

$score_max_4-5: 28;
$score_normal_max_4-5: 11;

$score-1-3_normal: ($score_normal_max_1-3 / $score_max_1-3) * 100%;
$score-1-3_alert: 100% - (($score_normal_max_1-3 / $score_max_1-3) * 100%);

$score-4-5_normal: ($score_normal_max_4-5 / $score_max_4-5) * 100%;
$score-4-5_alert: 100% - (($score_normal_max_4-5 / $score_max_4-5) * 100%);

@keyframes rotation {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(359deg);
    }
}


.lct {
    &__stress_test {
        background-color: #E8F7FF;
        position: relative;

        &:after {
            content: '';
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-image: url(../images/stresstest/orn-doodles.png);
            background-position: 50% 100%;
            background-repeat: no-repeat;
            background-size: 60% auto;
        }
        
        .history-content {
            flex: 0 0 85%;
            overflow: auto;
            position: relative;
            z-index: 2;
            min-height: 350px;

            .history-content--summary {
                background-color: #4784D0;
                background: linear-gradient(#0038AA 18.44%, #4784D0 94.16%);

                .profile-summary {
                    > .row {
                        margin-left: -5px;
                        margin-right: -5px;

                        > * {
                            padding-left: 5px;
                            padding-right: 5px;
                        }
                    }

                    .profile-summary--wrapper {
                        p {
                            font-weight: 300;
                            font-size: 12px;
                            letter-spacing: .75px;
                            margin-bottom: 0;
                            color: #AFD1FF;
                        }

                        h1 {
                            color: #fff;
                            font-size: 18px;
                            margin-bottom: 0;
                            font-weight: bold;
                            letter-spacing: 1px;
                        }
                    }

                    .month-list {
                        background-color: #fff;
                        border-radius: 30px;
                        box-shadow: 0px 3px 20px -5px rgba(103, 151, 179, 0.35);
    
                        .dropdown-toggle {
                            width: 100%;
                            text-transform: none;
                            letter-spacing: .5px;
                            color: #003DA6;
                            outline: none;
                            box-shadow: none;
                            padding: .75rem 1.25rem;
                            font-size: 12px;
    
                            svg {
                                width: 14px;
                                height: 18px;
                                fill: transparent;
                                transform: rotate(0);
                                transform-origin: center;
                                transition: transform 200ms ease-in-out;
                            }
    
                            &:after {
                                content: none;
                            }
                        }
    
                        .dropdown-menu {
                            margin-top: -1px;
                            padding: 0;
                            border: none;
                            width: 100%;
                            border-radius: 0;
                            border-bottom-left-radius: 20px;
                            border-bottom-right-radius: 20px;
                            box-shadow: 0px 3px 20px -5px rgba(103, 151, 179, 0.35);
                            height: 200px;
                            overflow: auto;
    
                            .dropdown-item {
                                outline: none;
                                box-shadow: none;
                                font-size: 12px;
                                font-weight: bold;
                                padding: .75rem 1.25rem;
                                color: #003DA6;
                            }
                        }
    
                        &.show {
                            .dropdown-toggle {
                                background-color: #F5F5F5;
    
                                svg {
                                    transform: rotate(180deg);
                                }
                            }
                        }
                    }
    
                    .month-list.show,
                    .month-list.show .dropdown-toggle {
                        border-top-left-radius: 20px;
                        border-top-right-radius: 20px;
                        border-bottom-left-radius: 0;
                        border-bottom-right-radius: 0;
                    }
                }

                .result-summary {
                    background-color: #fff;
                    padding: 1rem;
                    border-radius: 5px;
                    color: #0038AA;

                    h4 {
                        font-size: 12px;
                        font-weight: 300;
                        letter-spacing: .75px;
                        text-align: center;
                        margin-bottom: 1rem;
                    }

                    > .row {
                        margin-left: -5px;
                        margin-right: -5px;

                        > * {
                            padding-left: 5px;
                            padding-right: 5px;

                            &:nth-child(2){
                                border-left: 1px solid #e5e5e5;
                            }

                            p {
                                letter-spacing: .75px;
                                margin-bottom: 0;

                                &:nth-child(1){
                                    font-size: 2rem;
                                    font-weight: bold;
                                    line-height: 1.2;
                                }

                                &:nth-child(2){
                                    font-size: 12px;
                                }
                            }
                        }
                    }
                }
            }

            .history-content--data {
                background-color: #fff;

                .data-result-row {
                    padding: 1rem 0;

                    &:nth-child(even){
                        background-color: #E8F3F9;
                    }

                    .row {
                        margin-left: -5px;
                        margin-right: -5px;

                        > * {
                            padding-left: 5px;
                            padding-right: 5px;
                        }
                    }

                    .date {
                        color: #9FB5CB;
                        font-weight: bold;
                        font-size: 12px;
                        letter-spacing: .75px;
                    }

                    .stress-level {
                        color: #003EA5;
                        text-align: center;

                        p {
                            margin-bottom: 0;

                            &:nth-child(1){
                                font-size: 26px;
                                font-weight: 900;
                                line-height: 1;
                            }

                            &:nth-child(2){
                                font-size: 7px;
                                font-weight: 300;
                                letter-spacing: .75px;
                            }
                        }
                    }

                    .score-bar--wrapper {
                        max-width: 320px;
                        margin: .5rem auto 1rem;

                        .progress--wrapper {
                            position: relative;

                            .progress {
                                border-radius: 20px;
                                border: 1px solid #D4E8FF;
                                background-color: #EDF8FF;

                                .progress-icon {
                                    position: absolute;
                                    z-index: 2;
                                    width: 30px;
                                    height: 30px;
                                    top: calc(50% - 15px);
                                    margin-left: -15px;
                                    left: 0;
                                    transition: all 0.6s ease;
                                    
                                    filter: drop-shadow(0px 8px 7px rgba(0, 0, 0, 0.2));
                                    
                                    svg {
                                        display: block;
                                        width: 100%;
                                        height: 100%;
                                        animation: rotation 0.4s ease-out 0.8s;
                                    }
                                }
                            }

                            .indicator {
                                top: 0;
                                width: 15px;
                                height: 15px;
                                transform: translate(-50%, -50%);

                                // svg {
                                //     display: block;
                                //     width: 100%;
                                //     height: 100%;
                                //     opacity: 0;
                                //     visibility: hidden;
                                // }

                                &:after {
                                    content: '';
                                    position: absolute;
                                    left: calc(50% - 0.5px);
                                    width: 0;
                                    bottom: -15px;
                                    height: 22px;
                                    border: 1px dashed #a6e0e6;
                                }
                            }
                        }

                        .progress-label {
                            margin-top: 1rem;
                            padding-bottom: .75rem;

                            .progress-label-col {
                                color: #AAC6FF;
                                border-left: 1px solid #AAC6FF;
                                text-align: center;
                                padding: 0 5px;
                                position: relative;
                                
                                p {
                                    font-size: 12px;
                                    font-weight: bold;
                                    letter-spacing: 1px;
                                    line-height: 1.1;
                                }

                                &.label-normal,
                                &.label-alert {
                                    &:before,
                                    &:after {
                                        position: absolute;
                                        bottom: -1.75rem;
                                        font-size: 10px;
                                        color: #AAC6FF;
                                        transform: translateX(-50%);
                                    }

                                    &:before {
                                        left: 0;
                                    }
                                    
                                    &:after {
                                        left: 100%;
                                    }
                                }

                                &.label-normal {
                                    &:before {
                                        content: '0';
                                    }
                                }

                                &.label-alert {
                                    border-right: 1px solid #AAC6FF;
                                }
                            }
                        }
                    }

                    &[data-age="1-3"]{
                        .score-bar--wrapper {
                            .progress--wrapper {
                                .indicator {
                                    left: $score-1-3_normal;
                                }
                            }

                            .progress-label-col {
                                &.label-normal {
                                    flex: 0 0 $score-1-3_normal;
                                    max-width: $score-1-3_normal;

                                    &:after {
                                        content: '#{$score_normal_max_1-3}';
                                    }
                                }

                                &.label-alert {
                                    flex: 0 0 $score-1-3_alert;
                                    max-width: $score-1-3_alert;

                                    &:after {
                                        content: '#{$score_max_1-3}';
                                    }
                                }
                            }
                        }
                    }

                    &[data-age="4-5"]{
                        .score-bar--wrapper {
                            .progress--wrapper {
                                .indicator {
                                    left: $score-4-5_normal;
                                }
                            }
                            
                            .progress-label-col {
                                &.label-normal {
                                    flex: 0 0 $score-4-5_normal;
                                    max-width: $score-4-5_normal;

                                    &:after {
                                        content: '#{$score_normal_max_4-5}';
                                    }
                                }

                                &.label-alert {
                                    flex: 0 0 $score-4-5_alert;
                                    max-width: $score-4-5_alert;

                                    &:after {
                                        content: '#{$score_max_4-5}';
                                    }
                                }
                            }
                        }
                    }

                    &[data-normal="true"]{
                        .score-bar--wrapper {
                            .progress-bar {
                                background-color: #54A57A;
                                background: linear-gradient(90deg, #54A57A 32.32%, rgba(84, 165, 122, 0) 183.84%), #C5B044;
                            }

                            .progress-label-col.label-normal {
                                color: #54A57A;
                            }
                        }
                    }
                    
                    &[data-normal="false"]{
                        .score-bar--wrapper {
                            .progress-bar {
                                background-color: #FC6061;
                                background: linear-gradient(90deg, #FE9D9E 15.56%, #FC6061 64.22%), #D85F55;
                            }

                            .progress-label-col.label-alert {
                                color: #FC6061;
                            }
                        }
                    }
                }
            }
        }
        
        .history-footer {
            flex: 0 0 15%;
            // background-color: #E8F7FF;
            position: relative;
            

            // &:before {
            //     content: '';
            //     position: absolute;
            //     top: 0;
            //     left: 0;
            //     width: 100%;
            //     height: 100%;
            //     background-image: url(../images/stresstest/orn-doodles.png);
            //     background-position: 50% 100%;
            //     background-repeat: no-repeat;
            //     background-size: 60% auto;
            // }

            .button--wrapper {
                position: relative;
                z-index: 2;
            }

            .btn {
                font-size: 14px;
            }
        }

        @include media-breakpoint-up(lg) {
            height: auto;
            min-height: calc(100vh - 64px);

            .history-footer {
                padding: 2rem 0;
            }
        }
    }
}